Summary: 	Full-featured POP/IMAP mail retrieval daemon
Name:		fetchmail
Version:	6.4.24
Release:	%mkrel 1
License: 	GPLv2
Group:		Networking/Mail
URL: 		https://www.fetchmail.info
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source2:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz.asc
Source4:	fetchmail.sysconfig
Source5:	fetchmail.service
Source6:	fetchmail.gif
Source7:	fetchmail.png
Patch0:		fetchmail-5.7.0-nlsfix.patch

#
# Security Patches
# P100 -> ...
#

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	python3
Requires: 	MailTransportAgent
Obsoletes:	fetchyahoo < 2.14.9-2

%description
Fetchmail is a free, full-featured, robust, and well-documented remote mail
retrieval and forwarding utility intended to be used over on-demand TCP/IP
links (such as SLIP or PPP connections).

It retrieves mail from remote mail servers and forwards it to your local
(client) machine's delivery system, so it can then be read by normal
mail user agents such as Mutt, Elm, Pine, (X)Emacs/Gnus or Mailx.

It comes with an interactive GUI configurator suitable for end-users.

Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN) for
retrieval.  Then Fetchmail forwards the mail through SMTP, so you can
read it through your normal mail client.

%package -n fetchmailconf
Summary: 	A utility for graphically configuring your fetchmail preferences
Group: 		System/Networking
Requires: 	tkinter3
Requires: 	python3dist(future)
Requires: 	%{name} = %{version}


%description -n fetchmailconf
Fetchmailconf is a TCL/TK application for graphically configuring
your ~/.fetchmailrc preferences file.

Fetchmail has many options which can be daunting to the new user.

This utility takes some of the guesswork and hassle out of setting up
fetchmail.

%package daemon
Summary:	SySV init script for demonize fetchmail for retrieving emails
Group:		System/Base
Requires:	%{name} = %{version}
Requires(preun): rpm-helper
Requires(post): rpm-helper

%description daemon
Systemd service for fetchmail for sucking emails.

%prep
%setup -q
%autopatch -p1

%build
%serverbuild
%configure  \
	--with-ssl=%_prefix	\
	--enable-RPA		\
	--enable-NTLM		\
	--enable-SDPS

# (tv) do not use %%make in order to workaround buggy parallel build:
make all

%install
mkdir -p %{buildroot}{%_libdir/rhs/control-panel,%_datadir/applets/Administration} \
	%{buildroot}{%_sysconfdir/{X11/wmconfig,sysconfig},%_mandir/man1,%_unitdir}
%make_install

install rh-config/*.{xpm,init} %{buildroot}%{_libdir}/rhs/control-panel

install -m0644 %SOURCE4 %{buildroot}%{_sysconfdir}/sysconfig/fetchmail
install -m0755 %SOURCE5 %{buildroot}%{_unitdir}/fetchmail.service

echo -e "# Put here each user config\n" > %{buildroot}/etc/fetchmailrc

chmod 644 contrib/*
find -name \*.xpm -exec chmod 644 '{}' \;

# Menu entry
mkdir -p %{buildroot}%{_iconsdir}/hicolor/64x64/apps
install -m 0644 %{SOURCE7} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Fetchmailconf
Comment=Full-featured POP/IMAP mail retrieval daemon
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Settings;
EOF

%find_lang %name

cat > README.fetchmail-conf <<EOF
Fetchmailconf is a TCL/TK application for graphically configuring your
~/.fetchmailrc preferences file.

Fetchmail has many options which can be daunting to the new user.


This utility takes some of the guesswork and hassle out of setting up
fetchmail.
EOF

%post -n fetchmail-daemon
%systemd_post fetchmail

%preun -n fetchmail-daemon
%systemd_preun fetchmail

%postun -n fetchmail-daemon
%systemd_postun_with_restart fetchmail

%files -f %name.lang
%doc FAQ FEATURES INSTALL NEWS NOTES README
%doc contrib fetchmail-features.html fetchmail-FAQ.html design-notes.html
%license COPYING
%attr(2755, root, mail) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files -n fetchmailconf
%doc README.%{name}-conf
%{_libdir}/rhs/control-panel/*
%{_bindir}/%{name}conf
%{_mandir}/man1/%{name}conf.1*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{python3_sitelib}/*

%files daemon
%attr(600,mail,mail) %config(noreplace,missingok) %{_sysconfdir}/%{name}rc
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/%{name}.service


%changelog
* Wed Dec 08 2021 neoclust <neoclust> 6.4.24-1.mga8
+ Revision: 1761230
- New version 6.4.24: Fixes CVE-2021-39272 (mga#29420)
- Add P100: Fixes CVE-2021-36386 (mga#29297)
+ tmb <tmb>
- fix CVE-2021-36386 regression (mga#29349)

* Sun Jul 19 2020 wally <wally> 6.4.8-4.mga8
+ Revision: 1607191
- increase systemd service default polling interval to 300 seconds

* Sat Jul 18 2020 wally <wally> 6.4.8-3.mga8
+ Revision: 1607010
- drop norootwarning patch
- log to syslog when used as a systemd service

* Sat Jul 18 2020 wally <wally> 6.4.8-2.mga8
+ Revision: 1606903
- switch from old init script to systemd service (mga#26969)

* Sat Jul 18 2020 wally <wally> 6.4.8-1.mga8
+ Revision: 1606898
- new version 6.4.8

* Wed Mar 25 2020 danf <danf> 6.4.2-1.mga8
+ Revision: 1559577
- Upgraded to 6.4.2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 6.3.26-12.mga7
+ Revision: 1297684
- Mageia 7 Mass Rebuild

* Fri Sep 08 2017 guillomovitch <guillomovitch> 6.3.26-11.mga7
+ Revision: 1151939
- rebuild with openssl 1.1

* Fri Oct 14 2016 daviddavid <daviddavid> 6.3.26-10.mga6
+ Revision: 1060688
- fix desktop file Categories (mga#2449)
- fix missing desktop file icon

* Wed Mar 02 2016 umeabot <umeabot> 6.3.26-9.mga6
+ Revision: 983397
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 6.3.26-8.mga6
+ Revision: 937462
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 6.3.26-7.mga6
+ Revision: 937015
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.3.26-6.mga5
+ Revision: 750698
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.3.26-5.mga5
+ Revision: 679163
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 6.3.26-4.mga5
+ Revision: 628176
- Rebuild for new Python

* Sat Mar 22 2014 akien <akien> 6.3.26-3.mga5
+ Revision: 606536
- Fix version in the Obsoletes on fetchyahoo (mga#10404)

* Sat Oct 19 2013 umeabot <umeabot> 6.3.26-2.mga4
+ Revision: 529054
- Mageia 4 Mass Rebuild
+ akien <akien>
- Obsoleting fetchyahoo, which fetchmail replaces: http://fetchyahoo.twizzler.org/

* Tue Jul 02 2013 dams <dams> 6.3.26-1.mga4
+ Revision: 449543
- new version 6.3.26

* Tue Jan 22 2013 fwang <fwang> 6.3.24-3.mga3
+ Revision: 390869
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 6.3.24-2.mga3
+ Revision: 350254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 6.3.24-1.mga3
+ Revision: 338524
- 6.3.24

* Mon Dec 17 2012 fwang <fwang> 6.3.23-1.mga3
+ Revision: 331892
- new version 6.3.23

* Mon Sep 03 2012 alien <alien> 6.3.22-1.mga3
+ Revision: 287720
- Update to latest version

* Wed Sep 07 2011 tv <tv> 6.3.21-1.mga2
+ Revision: 140264
- new release

* Tue Aug 30 2011 tv <tv> 6.3.20-2.mga2
+ Revision: 136403
- add missing LSB keywords
+ dmorgan <dmorgan>
- New version 6.3.20 ( Fix CVE-2011-1947 ( mga #1912 ))

* Mon Apr 25 2011 wally <wally> 6.3.19-3.mga1
+ Revision: 90321
- fix desktop file (mga#954)
- drop buildroot definition

* Wed Feb 16 2011 blino <blino> 6.3.19-2.mga1
+ Revision: 52121
- remove old scriptlets and desktop file
- imported package fetchmail


* Mon Dec 13 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.19-1mdv2011.0
+ Revision: 620648
- 6.3.19

* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 6.3.18-2mdv2011.0
+ Revision: 593313
- rebuild for new python 2.7

* Sun Oct 17 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.18-1mdv2011.0
+ Revision: 586217
- 6.3.18

* Thu May 06 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.17-1mdv2010.1
+ Revision: 542829
- 6.3.17

* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 6.3.16-1mdv2010.1
+ Revision: 532465
- update to new version 6.3.16

* Mon Mar 29 2010 Funda Wang <fwang@mandriva.org> 6.3.15-1mdv2010.1
+ Revision: 528713
- update to new version 6.3.15

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.14-4mdv2010.1
+ Revision: 515904
- bump release back to 4
- drop emacs cruft due to unknown build problems
- spec file cleansing
- rebuilt against openssl-0.9.8m

* Wed Feb 17 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.14-3mdv2010.1
+ Revision: 507100
- rebuild

* Wed Feb 17 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.14-2mdv2010.1
+ Revision: 506989
- really fix condrestart
- add condrestart (fcrozat)

* Sat Feb 06 2010 Frederik Himpe <fhimpe@mandriva.org> 6.3.14-1mdv2010.1
+ Revision: 501278
- update to new version 6.3.14

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 6.3.13-1mdv2010.1
+ Revision: 461953
- update to new version 6.3.13

* Tue Oct 06 2009 Oden Eriksson <oeriksson@mandriva.com> 6.3.12-1mdv2010.0
+ Revision: 454583
- 6.3.12

* Mon Aug 31 2009 Frederik Himpe <fhimpe@mandriva.org> 6.3.11-2mdv2010.0
+ Revision: 423063
- Add patch from upstream fixing regression with accounts using SSL

* Thu Aug 06 2009 Frederik Himpe <fhimpe@mandriva.org> 6.3.11-1mdv2010.0
+ Revision: 410947
- Update to new version 6.3.11
- Remove patches which were integrated upstream or not applied anymore

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 6.3.9-1mdv2009.1
+ Revision: 332918
- Add asc file
- New upstream release\n Disable patch7

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 6.3.8-10mdv2009.1
+ Revision: 319683
- rebuild for new python

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 6.3.8-9mdv2009.1
+ Revision: 316637
- rediffed some fuzzy patches
- fix build with -Werror=format-security (P12)

* Tue Jun 24 2008 Thierry Vignaud <tv@mandriva.org> 6.3.8-8mdv2009.0
+ Revision: 228564
- Patch 11: security fix for CVE-2008-2711

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 6.3.8-7mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.com> 6.3.8-7mdv2008.1
+ Revision: 157337
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild with fixed %%serverbuild macro

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 6.3.8-5mdv2008.1
+ Revision: 149722
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 12 2007 Thierry Vignaud <tv@mandriva.org> 6.3.8-4mdv2008.0
+ Revision: 84666
- patch 10: security fix for CVE-2007-4565 (#33470)

* Thu Aug 23 2007 Funda Wang <fwang@mandriva.org> 6.3.8-3mdv2008.0
+ Revision: 70697
- drop old menu
- fix comment in xdg desktop entry

* Wed Jul 04 2007 Andreas Hasenack <andreas@mandriva.com> 6.3.8-2mdv2008.0
+ Revision: 48221
- s/Icon/Source/
- rebuild with new serverbuild macro (-fstack-protector-all)
- updated URL

* Fri Apr 20 2007 Thierry Vignaud <tv@mandriva.org> 6.3.8-1mdv2008.0
+ Revision: 16101
- new release


* Tue Jan 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 6.3.6-1mdv2007.0
+ Revision: 109531
- update GPG signature
- new release
- update & bunzip2 patches 4 & 6

  + Emmanuel Andry <eandry@mandriva.org>
    - Import fetchmail

* Thu Aug 31 2006 Giuseppe Ghibò <ghibo@mandriva.com> 6.3.4-3mdv2007.0
- Split Patch7 into Patch8 and improved Patch8 to fix missed newlines
  in malformed mails.
- Renamed old Patch8 to Patch9.
- xdg menu.

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 6.3.4-2mdk
- rebuild for sparc

* Sun Apr 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.4-1mdk
- new release

* Thu Mar 23 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.3.2-2mdk
- Patch 8: don't warn when running as root
- Fix permissions of .xpm files

* Fri Jan 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.2-1mdk
- new release (including security fix for CVE-2005-4348)

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.1-6mdk
- fix preun script

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.1-5mdk
- fix build on x86_64
- fix prereq

* Sat Jan 14 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 6.3.1-4mdk
- add BuildRequires: python

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 6.3.1-3mdk
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 6.3.1-2mdk
- convert parallel init to LSB

* Wed Jan 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.1-1mdk
- new release
- new URL
- include signature
- source 5: add support for parallel init
- drop patches 6, 8 and 9 (merged upstream)
- rediff patch 7

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 6.2.5-13mdk
- P8: security fix for CVE-2005-3088
- P9: missing fix for CAN-2005-2355

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 6.2.5-12mdk
- rebuilt against openssl-0.9.8a

* Mon Jul 25 2005 Olivier Blin <oblin@mandriva.com> 6.2.5-11mdk
- fix typo in Patch7 that makes fetchmailconf unusable (#15748)

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.2.5-10mdk
- rebuilt because the binary got lost in cyberspace

* Thu Feb 10 2005 Giuseppe Ghibò <ghibo@mandrekesoft.com> 6.2.5-9mdk
- Improved Patch7 to fix another problem with NUL characters occurring
  with lines longer than 8191 characters.

* Thu Feb 03 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.2.5-8mdk
- Added 'stripnul' option to avoid mail containing NUL characters
  (causing bouncing to cyrus-imapd/lmtp).

* Thu Dec 30 2004 Stefan van der Eijk <stefan@mandrake.org> 6.2.5-7mdk
- BuildRequires: byacc --> bison

* Wed Dec 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.2.5-6mdk
- fetchmail-daemon: Make the fetchmail polling interval configurable in
  /etc/sysconfig/fetchmail

* Sat Apr 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2.5-5mdk
- relink against fixed libintl

* Wed Apr 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2.5-4mdk
- workaround buggy parallel build
- rebuild for new gettext libraries

* Tue Mar 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2.5-3mdk
- patch 6: fix APOP managment

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 6.2.5-2mdk
- Fix menu

